<template>
  <div class="home">
     <h1>{{taskName}}</h1>
    <GanttView @updateTaskName="updateTaskName"/>
  </div>
</template>

<script lang="ts">
import { Options, Vue } from 'vue-class-component'
import GanttView from '@/components/GanttView.vue' // @ is an alias to /src

@Options({
  components: {
    GanttView
  },
  data(){
    return {
      taskName: '任务名称'
    }
  },
  methods: {
    updateTaskName(name: string){
      this.taskName = name
    }
  }
})
export default class Gantt extends Vue {}
</script>
